flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-8113) Bump maven-shade-plugin to 3.0.0
Date Tue, 21 Nov 2017 13:43:00 GMT

    [ https://issues.apache.org/jira/browse/FLINK-8113?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16260740#comment-16260740
] 

ASF GitHub Bot commented on FLINK-8113:
---------------------------------------

GitHub user zentol opened a pull request:

    https://github.com/apache/flink/pull/5042

    [FLINK-8113][build] Bump maven-shade-plugin to 3.0.0

    ## What is the purpose of the change
    
    This PR bumps the maven-shade-plugin version to 3.0.0.
    Benefits:
    * all modules now use the same version again
      * currently, some modules set it to 3.0.0 already to fix a problem with relocating services
    * we no longer need to bump the ASM version of the plugin
    
    ## Verifying this change
    
    This change should be covered by travis and the end-to-end tests.


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/zentol/flink 8113

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/flink/pull/5042.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #5042
    
----
commit 565a29080b8083e9a37401fa8460eabc97bef9a1
Author: zentol <chesnay@apache.org>
Date:   2017-11-21T10:52:42Z

    [FLINK-8113][build] Bump maven-shade-plugin to 3.0.0

----


> Bump maven-shade-plugin to 3.0.0
> --------------------------------
>
>                 Key: FLINK-8113
>                 URL: https://issues.apache.org/jira/browse/FLINK-8113
>             Project: Flink
>          Issue Type: Improvement
>          Components: Build System
>            Reporter: Chesnay Schepler
>            Assignee: Chesnay Schepler
>             Fix For: 1.5.0
>
>
> We should investigate whether we can bump the shade plugin to 3.0.0. Earlier versions
do not properly relocate services, forcing some modules to set a different plugin version
in their own configuration (flink-s3-fs-presto for example, or flink-dist after FLINK-8111).



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message